<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_group_matrices', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->boolean('permit_tools_backend')->default(false);
            $table->boolean('update_permits')->default(false);
            $table->boolean('drawing_tools')->default(false);
            $table->boolean('view_drawing_tools')->default(false);
            $table->boolean('admin_gui')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_group_matrices');
    }
};
